import { PromptOptions } from 'gluegun/build/types/toolbox/prompt-enquirer-types';
import { TemplateParams } from '../types/BaseProjectTemplateParams';
export declare enum StyleLibraryChoice {
    StyledComponents = "Styled Components",
    StyleSheet = "React-Native built-in StyleSheet"
}
export declare enum StateLibraryChoice {
    ReduxToolkit = "Redux Toolkit",
    ReduxToolkitWithQuery = "Redux Toolkit with RTK Query Example",
    NoStateManagement = "No State Management"
}
export declare enum ReactNavigationExampleChoice {
    WithReactNavigationExample = "With set-up and example screens",
    WithoutReactNavigationExample = "Without examples"
}
export declare const SelectionToDependencyNameMap: {
    "Styled Components": string[];
    "Redux Toolkit": string[];
    "Redux Toolkit with RTK Query Example": string[];
    "With set-up and example screens": string[];
    "Without examples": string[];
};
export declare const SelectionToDevDependencyNameMap: {
    "Styled Components": string[];
};
export declare const SelectionToTemplateParamsMap: Partial<Record<StyleLibraryChoice | StateLibraryChoice | ReactNavigationExampleChoice, Partial<TemplateParams>>>;
export declare const SelectionToOptionalFilePathsMap: {
    "Redux Toolkit": {
        matcher: string;
        shouldRegexp: boolean;
    }[];
    "Redux Toolkit with RTK Query Example": {
        matcher: string;
        shouldRegexp: boolean;
    }[];
    "With set-up and example screens": {
        matcher: string;
        shouldRegexp: boolean;
    }[];
};
export declare const DefaultTemplateParams: TemplateParams;
export declare const SelectionPrompts: PromptOptions[];
