import { GeneratorConfig, Template, FeaturePiece } from './CodeGenerator';
export declare type CopyRecursivelyOptions = {
    from: string;
    to: string;
    excluded?: Array<string | RegExp | undefined>;
};
export interface FileSystemToolboxEntries {
    copyRecursively(options: CopyRecursivelyOptions): any;
    getFsChildrenRecursively(path: string, isRelative?: boolean, matching?: string | string[]): string[];
    getSourceFilesRecursivelyFromCurrentDir(): string[];
    getGeneratorBaseDirPathParts(generatorType: FeaturePiece): string[];
    getFileNamePathPartsForCurrentDir(fileName: string, ext: string, template: Template): string[];
    getGeneratorTemplatePathParts(Config: GeneratorConfig, template: Template): any;
    getFeaturePieceFromCurrentDir(): FeaturePiece;
    removeFileExtension(filename: string): string;
}
